flow-typed/flow-typed 软件分析报告

基础信息

项目名称:flow-typed/flow-typed

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1721202673146990592/1726225057749360640

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
yargs-parser 原型污染漏洞 特权定义了不安全动作 MPS-2020-4006 CVE-2020-7608 中危
prompts 正则表达式拒绝服务漏洞 ReDoS MPS-2021-32909 中危
istanbul-reports 通过 window.opener 访问使用指向不受信任目标的 Web 链接 MPS-2022-13797 中危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
nwsapi 拒绝服务 拒绝服务 MPS-2022-54623 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
yargs-parser 16.1.0 18.1.1 间接依赖 可选修复
semver 7.0.0 7.5.2 间接依赖 可选修复
semver 5.7.1 7.5.2 间接依赖 可选修复
semver 6.3.1 7.5.2 间接依赖 可选修复
semver 6.3.0 7.5.2 间接依赖 可选修复
istanbul-reports 3.0.5 3.1.3 间接依赖 可选修复
nwsapi 2.2.0 2.2.1 间接依赖 可选修复
prompts 2.3.1 2.4.2 间接依赖 可选修复
semver 5.7.2 7.5.2 间接依赖 可选修复
tslib 1.10.0 间接依赖

许可证风险

许可证类型 相关组件 许可证风险
MIT 639
ISC 57
BSD-3-Clause 26
Apache-2.0 17
BSD 1
BSD-2-Clause 18
CC-BY-4.0 1
CC-BY-3.0 1
CC0-1.0 1
Python-2.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
@babel/plugin-transform-function-name 7.16.0 间接依赖 npm
lodash 4.17.21 间接依赖 npm
graceful-fs 4.2.3 直接依赖 npm
flow-copy-source 2.0.9 直接依赖 npm
is-stream 2.0.0 间接依赖 npm
binary-extensions 2.2.0 间接依赖 npm
resolve 1.15.1 间接依赖 npm
slice-ansi 0.0.4 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
path-is-inside 1.0.2 间接依赖 npm
file-entry-cache 5.0.1 间接依赖 npm
color-name 1.1.3 间接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
ajv 8.8.2 间接依赖 npm
string-argv 0.3.0 间接依赖 npm
string-width 1.0.2 间接依赖 npm
p-limit 2.2.0 间接依赖 npm
https-proxy-agent 5.0.0 间接依赖 npm
@babel/cli 7.16.0 直接依赖 npm
@jest/environment 27.3.1 间接依赖 npm
eslint-plugin-flowtype 3.12.2 直接依赖 npm
execa 1.0.0 间接依赖 npm
fast-diff 1.2.0 间接依赖 npm
istanbul-lib-instrument 4.0.1 间接依赖 npm
@eslint/eslintrc 1.0.4 间接依赖 npm
@jridgewell/sourcemap-codec 1.4.15 间接依赖 npm
tmp 0.0.33 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
is-plain-object 5.0.0 间接依赖 npm
type-fest 0.6.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
get-stream 5.1.0 间接依赖 npm
@octokit/graphql 4.8.0 间接依赖 npm
write-file-atomic 3.0.1 间接依赖 npm
fs-extra 7.0.1 间接依赖 npm
progress 2.0.3 间接依赖 npm
@babel/helper-module-imports 7.16.0 间接依赖 npm
yargs-parser 20.2.9 间接依赖 npm
collect-v8-coverage 1.0.0 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
@types/glob 7.1.1 间接依赖 npm
paralleljs 0.2.1 间接依赖 npm
path-key 2.0.1 间接依赖 npm
@babel/plugin-syntax-json-strings 7.8.3 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
import-fresh 2.0.0 间接依赖 npm
@babel/preset-modules 0.1.5 间接依赖 npm
please-upgrade-node 3.1.1 间接依赖 npm
semver 5.7.2 间接依赖 npm
@babel/helper-create-regexp-features-plugin 7.16.0 间接依赖 npm
eslint-utils 1.4.3 间接依赖 npm
chalk 4.1.2 间接依赖 npm
flatted 2.0.2 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
tmpl 1.0.5 间接依赖 npm
stringify-object 3.3.0 间接依赖 npm
deep-is 0.1.4 间接依赖 npm
is-number 7.0.0 间接依赖 npm
whatwg-mimetype 2.3.0 间接依赖 npm
supports-color 7.2.0 间接依赖 npm
babel-preset-jest 27.2.0 间接依赖 npm
rxjs 6.6.7 间接依赖 npm
callsites 3.1.0 间接依赖 npm
esquery 1.4.0 间接依赖 npm
is-binary-path 2.1.0 间接依赖 npm
@babel/plugin-proposal-object-rest-spread 7.16.0 间接依赖 npm
is-observable 1.1.0 间接依赖 npm
gensync 1.0.0-beta.2 间接依赖 npm
html-encoding-sniffer 2.0.1 间接依赖 npm
eslint 6.8.0 直接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
@babel/helper-validator-identifier 7.15.7 间接依赖 npm
chardet 0.7.0 间接依赖 npm
commander 2.20.3 间接依赖 npm
date-fns 1.30.1 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
ws 7.5.6 间接依赖 npm
escape-string-regexp 2.0.0 间接依赖 npm
levn 0.4.1 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
fast-glob 3.0.4 间接依赖 npm
strip-bom 4.0.0 间接依赖 npm
react-is 17.0.2 间接依赖 npm
got 11.8.5 直接依赖 npm
@babel/plugin-syntax-async-generators 7.8.4 间接依赖 npm
external-editor 3.1.0 间接依赖 npm
@babel/code-frame 7.8.3 间接依赖 npm
@jest/test-sequencer 27.3.1 间接依赖 npm
expect 27.3.1 间接依赖 npm
prettier 1.19.1 直接依赖 npm
is-glob 4.0.3 间接依赖 npm
cssom 0.4.4 间接依赖 npm
fs-readdir-recursive 1.1.0 间接依赖 npm
browserslist 4.18.1 间接依赖 npm
strip-eof 1.0.0 间接依赖 npm
acorn-globals 6.0.0 间接依赖 npm
array-union 2.1.0 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
@types/minimatch 3.0.3 间接依赖 npm
responselike 2.0.0 间接依赖 npm
@babel/plugin-transform-named-capturing-groups-regex 7.16.0 间接依赖 npm
is-ci 2.0.0 间接依赖 npm
@babel/core 7.8.4 间接依赖 npm
supports-color 2.0.0 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
picomatch 2.3.0 间接依赖 npm
picocolors 1.0.0 间接依赖 npm
@types/events 3.0.0 间接依赖 npm
@babel/helpers 7.16.3 间接依赖 npm
require-from-string 2.0.2 间接依赖 npm
@babel/plugin-transform-shorthand-properties 7.16.0 间接依赖 npm
string-width 2.1.1 间接依赖 npm
jest-config 27.3.1 间接依赖 npm
debug 4.3.4 间接依赖 npm
slash 3.0.0 间接依赖 npm
estraverse 5.3.0 间接依赖 npm
eslint-plugin-prettier 4.0.0 直接依赖 npm
babel-plugin-polyfill-corejs3 0.4.0 间接依赖 npm
defer-to-connect 2.0.0 间接依赖 npm
domexception 2.0.1 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
ci-info 3.3.0 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
@babel/eslint-parser 7.16.3 直接依赖 npm
resolve-from 5.0.0 间接依赖 npm
parse-author 2.0.0 间接依赖 npm
http-cache-semantics 4.1.1 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
jest-resolve 27.3.1 间接依赖 npm
listr 0.14.3 间接依赖 npm
jest-validate 27.3.1 间接依赖 npm
path-key 3.1.1 间接依赖 npm
ansi-escapes 3.2.0 间接依赖 npm
rimraf 2.6.3 间接依赖 npm
jest-worker 27.3.1 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
@babel/plugin-transform-duplicate-keys 7.16.0 间接依赖 npm
jest 27.3.1 直接依赖 npm
regenerate-unicode-properties 9.0.0 间接依赖 npm
jest-environment-node 27.3.1 间接依赖 npm
is-core-module 2.8.1 间接依赖 npm
fastq 1.6.0 间接依赖 npm
emoji-regex 7.0.3 间接依赖 npm
eslint-utils 3.0.0 间接依赖 npm
istanbul-lib-report 3.0.0 间接依赖 npm
@babel/template 7.8.3 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
throat 6.0.1 间接依赖 npm
write 1.0.3 间接依赖 npm
webidl-conversions 3.0.1 间接依赖 npm
@istanbuljs/schema 0.1.2 间接依赖 npm
@babel/plugin-syntax-optional-chaining 7.8.3 间接依赖 npm
@types/http-cache-semantics 4.0.0 间接依赖 npm
@babel/helper-validator-option 7.14.5 间接依赖 npm
@babel/helper-remap-async-to-generator 7.16.4 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
braces 3.0.2 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
spdx-expression-parse 3.0.0 间接依赖 npm
decimal.js 10.3.1 间接依赖 npm
get-stream 4.1.0 间接依赖 npm
@babel/plugin-transform-destructuring 7.16.0 间接依赖 npm
unicode-canonical-property-names-ecmascript 2.0.0 间接依赖 npm
@types/babel__traverse 7.0.8 间接依赖 npm
babel-plugin-polyfill-corejs2 0.3.0 间接依赖 npm
@babel/helper-module-transforms 7.16.0 间接依赖 npm
@sinonjs/fake-timers 8.1.0 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
v8-compile-cache 2.1.0 间接依赖 npm
regenerate 1.4.2 间接依赖 npm
regexpp 2.0.1 间接依赖 npm
ansi-escapes 4.3.0 间接依赖 npm
globals 11.12.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
ansi-colors 4.1.1 间接依赖 npm
sort-object-keys 1.1.2 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
makeerror 1.0.11 间接依赖 npm
@types/prettier 2.4.2 间接依赖 npm
cjs-module-lexer 1.2.2 间接依赖 npm
jest-serializer 27.0.6 间接依赖 npm
fb-watchman 2.0.0 间接依赖 npm
parse-json 4.0.0 间接依赖 npm
cli-cursor 2.1.0 间接依赖 npm
html-escaper 2.0.0 间接依赖 npm
locate-path 5.0.0 间接依赖 npm
import-fresh 3.3.0 间接依赖 npm
get-own-enumerable-property-symbols 3.0.0 间接依赖 npm
jest-matcher-utils 27.3.1 间接依赖 npm
@babel/helper-replace-supers 7.16.0 间接依赖 npm
decompress-response 6.0.0 间接依赖 npm
@babel/helper-optimise-call-expression 7.16.0 间接依赖 npm
execa 2.0.3 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
@types/color-name 1.1.1 间接依赖 npm
graceful-fs 4.2.0 直接依赖 npm
anymatch 3.1.2 间接依赖 npm
@babel/core 7.16.0 直接依赖 npm
flatted 3.2.4 间接依赖 npm
caller-callsite 2.0.0 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
prettier 1.18.2 直接依赖 npm
espree 6.2.1 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
file-entry-cache 6.0.1 间接依赖 npm
jsesc 0.5.0 间接依赖 npm
@babel/plugin-transform-flow-strip-types 7.16.0 间接依赖 npm
indent-string 3.2.0 间接依赖 npm
data-urls 2.0.0 间接依赖 npm
color-name 1.1.4 间接依赖 npm
@octokit/request 5.6.2 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
is-regexp 1.0.0 间接依赖 npm
caniuse-lite 1.0.30001517 间接依赖 npm
ci-info 2.0.0 间接依赖 npm
@babel/plugin-proposal-logical-assignment-operators 7.16.0 间接依赖 npm
type-check 0.4.0 间接依赖 npm
type-check 0.3.2 间接依赖 npm
through 2.3.8 间接依赖 npm
gensync 1.0.0-beta.1 间接依赖 npm
nice-try 1.0.5 间接依赖 npm
@babel/generator 7.23.0 间接依赖 npm
ansi-styles 2.2.1 间接依赖 npm
onetime 5.1.0 间接依赖 npm
@babel/helper-define-polyfill-provider 0.3.0 间接依赖 npm
json-buffer 3.0.1 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
@octokit/request-error 2.1.0 间接依赖 npm
jest-changed-files 27.3.0 间接依赖 npm
@babel/types 7.8.3 间接依赖 npm
detect-newline 3.1.0 间接依赖 npm
@babel/code-frame 7.5.5 间接依赖 npm
which-module 2.0.0 间接依赖 npm
log-symbols 3.0.0 间接依赖 npm
convert-source-map 1.7.0 间接依赖 npm
restore-cursor 2.0.0 间接依赖 npm
@babel/plugin-transform-modules-umd 7.16.0 间接依赖 npm
@jest/fake-timers 27.3.1 间接依赖 npm
author-regex 1.0.0 间接依赖 npm
resolve 1.11.1 间接依赖 npm
merge2 1.2.4 间接依赖 npm
jest-resolve-dependencies 27.3.1 间接依赖 npm
cross-spawn 6.0.5 间接依赖 npm
p-try 2.2.0 间接依赖 npm
@babel/helper-function-name 7.16.0 间接依赖 npm
string-natural-compare 3.0.1 间接依赖 npm
webidl-conversions 6.1.0 间接依赖 npm
@babel/plugin-syntax-class-static-block 7.14.5 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
fs-extra 8.1.0 间接依赖 npm
@babel/plugin-proposal-class-static-block 7.16.0 间接依赖 npm
signal-exit 3.0.2 间接依赖 npm
log-update 2.3.0 间接依赖 npm
jest-snapshot 27.3.1 间接依赖 npm
@jridgewell/trace-mapping 0.3.19 间接依赖 npm
@babel/plugin-transform-sticky-regex 7.16.0 间接依赖 npm
@babel/plugin-syntax-flow 7.16.0 间接依赖 npm
object.assign 4.1.0 间接依赖 npm
optionator 0.9.1 间接依赖 npm
istanbul-lib-source-maps 4.0.0 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
@babel/plugin-transform-arrow-functions 7.16.0 间接依赖 npm
regenerator-runtime 0.13.9 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
@types/node 12.6.8 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
xml-name-validator 3.0.0 间接依赖 npm
is-promise 2.1.0 间接依赖 npm
read-pkg 5.2.0 间接依赖 npm
regexpu-core 4.8.0 间接依赖 npm
p-finally 2.0.1 间接依赖 npm
shebang-command 1.2.0 间接依赖 npm
ansi-styles 5.2.0 间接依赖 npm
@babel/plugin-transform-regenerator 7.16.0 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
@babel/helper-plugin-utils 7.8.3 间接依赖 npm
jest-regex-util 27.0.6 间接依赖 npm
string-length 4.0.2 间接依赖 npm
strip-ansi 6.0.0 间接依赖 npm
semver 6.3.0 间接依赖 npm
symbol-tree 3.2.4 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
eslint-plugin-prettier 3.1.0 直接依赖 npm
semver-compare 1.0.0 间接依赖 npm
@babel/plugin-syntax-export-namespace-from 7.8.3 间接依赖 npm
w3c-hr-time 1.0.2 间接依赖 npm
@babel/plugin-transform-exponentiation-operator 7.16.0 间接依赖 npm
eslint-plugin-fb-flow 0.0.4 直接依赖 npm
node-stream-zip 1.15.0 直接依赖 npm
v8-compile-cache 2.0.3 间接依赖 npm
punycode 2.1.1 间接依赖 npm
flat-cache 2.0.1 间接依赖 npm
@babel/helper-wrap-function 7.16.0 间接依赖 npm
picomatch 2.2.1 间接依赖 npm
@babel/helper-compilation-targets 7.16.3 间接依赖 npm
exit 0.1.2 间接依赖 npm
eslint-plugin-flowtype 8.0.3 直接依赖 npm
@types/graceful-fs 4.1.5 间接依赖 npm
is-stream 1.1.0 间接依赖 npm
@babel/plugin-proposal-optional-chaining 7.16.0 间接依赖 npm
@babel/plugin-syntax-numeric-separator 7.10.4 间接依赖 npm
yargs 15.4.1 间接依赖 npm
has-ansi 2.0.0 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
@babel/helper-get-function-arity 7.16.0 间接依赖 npm
signal-exit 3.0.6 间接依赖 npm
@types/babel__template 7.0.2 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
log-symbols 1.0.2 间接依赖 npm
@jest/types 27.2.5 间接依赖 npm
@babel/plugin-proposal-private-methods 7.16.0 间接依赖 npm
require-main-filename 2.0.0 间接依赖 npm
text-table 0.2.0 间接依赖 npm
glob 7.1.4 间接依赖 npm
@babel/helper-validator-identifier 7.22.20 间接依赖 npm
which 1.3.1 间接依赖 npm
commander 4.1.1 间接依赖 npm
is-path-inside 2.1.0 间接依赖 npm
jest-leak-detector 27.3.1 间接依赖 npm
@babel/parser 7.23.0 间接依赖 npm
jsdom 16.7.0 间接依赖 npm
http-proxy-agent 4.0.1 间接依赖 npm
execa 5.1.1 间接依赖 npm
jest-runtime 27.3.1 间接依赖 npm
@types/responselike 1.0.0 间接依赖 npm
eslint-scope 7.1.0 间接依赖 npm
@babel/plugin-proposal-optional-catch-binding 7.16.0 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
object-keys 1.0.12 间接依赖 npm
argparse 1.0.10 间接依赖 npm
esprima 4.0.1 间接依赖 npm
mkdirp 1.0.3 直接依赖 npm
spdx-exceptions 2.2.0 间接依赖 npm
@babel/plugin-transform-parameters 7.16.3 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
@babel/plugin-proposal-numeric-separator 7.16.0 间接依赖 npm
y18n 4.0.1 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
@babel/plugin-transform-literals 7.16.0 间接依赖 npm
babel-plugin-istanbul 6.0.0 间接依赖 npm
regexpp 3.2.0 间接依赖 npm
@babel/plugin-syntax-private-property-in-object 7.14.5 间接依赖 npm
chalk 2.4.2 间接依赖 npm
@octokit/core 3.5.1 间接依赖 npm
lodash.truncate 4.4.2 间接依赖 npm
tr46 0.0.3 间接依赖 npm
fsevents 2.3.2 直接依赖 npm
@babel/plugin-transform-unicode-regex 7.16.0 间接依赖 npm
whatwg-url 5.0.0 间接依赖 npm
@babel/plugin-syntax-object-rest-spread 7.8.3 间接依赖 npm
@bcoe/v8-coverage 0.2.3 间接依赖 npm
code-point-at 1.1.0 间接依赖 npm
colors 1.4.0 直接依赖 npm
semver 6.3.1 间接依赖 npm
yallist 4.0.0 间接依赖 npm
@babel/plugin-syntax-jsx 7.16.0 间接依赖 npm
import-fresh 3.2.1 间接依赖 npm
yargs-parser 18.1.3 间接依赖 npm
@babel/preset-flow 7.16.0 直接依赖 npm
resolve-from 3.0.0 间接依赖 npm
@octokit/openapi-types 11.2.0 间接依赖 npm
@jridgewell/set-array 1.1.2 间接依赖 npm
core-js-compat 3.19.1 间接依赖 npm
prettier-linter-helpers 1.0.0 间接依赖 npm
wrap-ansi 6.2.0 间接依赖 npm
pirates 4.0.1 间接依赖 npm
del 5.0.0 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
y18n 5.0.8 间接依赖 npm
cosmiconfig 5.2.1 间接依赖 npm
ms 2.1.2 间接依赖 npm
universalify 0.1.2 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
globals 13.12.0 间接依赖 npm
unicode-property-aliases-ecmascript 2.0.0 间接依赖 npm
@babel/plugin-syntax-bigint 7.8.3 间接依赖 npm
cli-width 3.0.0 间接依赖 npm
@babel/plugin-transform-reserved-words 7.16.0 间接依赖 npm
diff-sequences 27.0.6 间接依赖 npm
mute-stream 0.0.8 间接依赖 npm
spdx-correct 3.1.0 间接依赖 npm
w3c-xmlserializer 2.0.0 间接依赖 npm
flowgen 1.10.0 直接依赖 npm
slice-ansi 2.1.0 间接依赖 npm
unicode-match-property-ecmascript 2.0.0 间接依赖 npm
@babel/helper-builder-binary-assignment-operator-visitor 7.16.0 间接依赖 npm
@babel/plugin-transform-for-of 7.16.0 间接依赖 npm
babel-jest 27.3.1 间接依赖 npm
slice-ansi 4.0.0 间接依赖 npm
type-fest 0.8.1 间接依赖 npm
@babel/plugin-proposal-nullish-coalescing-operator 7.16.0 间接依赖 npm
resolve 1.20.0 间接依赖 npm
glob-parent 6.0.2 间接依赖 npm
prelude-ls 1.1.2 间接依赖 npm
prettier-package-json 2.1.0 直接依赖 npm
@babel/plugin-transform-typeof-symbol 7.16.0 间接依赖 npm
espree 9.1.0 间接依赖 npm
end-of-stream 1.4.1 间接依赖 npm
terminal-link 2.1.1 间接依赖 npm
is-potential-custom-element-name 1.0.1 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
@babel/plugin-proposal-json-strings 7.16.0 间接依赖 npm
escodegen 2.0.0 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
v8-to-istanbul 8.1.0 间接依赖 npm
resolve-cwd 3.0.0 间接依赖 npm
@babel/plugin-bugfix-safari-id-destructuring-collision-in-function-expression 7.16.2 间接依赖 npm
nwsapi 2.2.0 间接依赖 npm
@babel/highlight 7.8.3 间接依赖 npm
strip-ansi 4.0.0 间接依赖 npm
ansi-styles 4.2.1 间接依赖 npm
@babel/helper-hoist-variables 7.22.5 间接依赖 npm
supports-hyperlinks 2.1.0 间接依赖 npm
import-fresh 3.1.0 间接依赖 npm
@babel/code-frame 7.22.13 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
@babel/helper-annotate-as-pure 7.16.0 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
@humanwhocodes/config-array 0.6.0 间接依赖 npm
@babel/plugin-transform-property-literals 7.16.0 间接依赖 npm
clone-response 1.0.2 间接依赖 npm
mimic-response 3.1.0 间接依赖 npm
source-map-support 0.5.9 间接依赖 npm
glob 7.2.0 直接依赖 npm
@types/node 13.7.1 间接依赖 npm
prompts 2.3.1 间接依赖 npm
test-exclude 6.0.0 间接依赖 npm
js-yaml 3.13.1 间接依赖 npm
resolve-alpn 1.2.1 间接依赖 npm
md5 2.2.1 直接依赖 npm
figures 1.7.0 间接依赖 npm
jest-util 27.3.1 间接依赖 npm
jest-watcher 27.3.1 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
json5 2.2.3 间接依赖 npm
emittery 0.8.1 间接依赖 npm
babel-plugin-dynamic-import-node 2.3.3 间接依赖 npm
@nodelib/fs.stat 2.0.1 间接依赖 npm
@istanbuljs/load-nyc-config 1.0.0 间接依赖 npm
listr-verbose-renderer 0.5.0 间接依赖 npm
@samverschueren/stream-to-observable 0.3.0 间接依赖 npm
walker 1.0.7 间接依赖 npm
ansi-regex 4.1.0 间接依赖 npm
onetime 2.0.1 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
@octokit/plugin-request-log 1.0.4 间接依赖 npm
json-parse-better-errors 1.0.2 间接依赖 npm
cacheable-request 7.0.2 间接依赖 npm
eslint 8.3.0 直接依赖 npm
type-fest 0.21.3 间接依赖 npm
@babel/helper-explode-assignable-expression 7.16.0 间接依赖 npm
istanbul-lib-coverage 3.0.0 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
@types/keyv 3.1.1 间接依赖 npm
@babel/helper-environment-visitor 7.22.20 间接依赖 npm
abab 2.0.5 间接依赖 npm
husky 3.0.2 直接依赖 npm
@types/cacheable-request 6.0.1 间接依赖 npm
tslib 1.10.0 间接依赖 npm
@babel/highlight 7.5.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
source-map 0.7.3 间接依赖 npm
@types/babel__core 7.1.16 间接依赖 npm
get-stdin 7.0.0 间接依赖 npm
jest-diff 27.3.1 间接依赖 npm
crypt 0.0.2 间接依赖 npm
lines-and-columns 1.1.6 间接依赖 npm
globals 12.4.0 间接依赖 npm
esutils 2.0.3 间接依赖 npm
globby 10.0.1 间接依赖 npm
@szmarczak/http-timer 4.0.6 间接依赖 npm
resolve.exports 1.1.0 间接依赖 npm
astral-regex 1.0.0 间接依赖 npm
flat-cache 3.0.4 间接依赖 npm
@babel/helper-member-expression-to-functions 7.16.0 间接依赖 npm
istanbul-lib-instrument 4.0.3 间接依赖 npm
@jest/source-map 27.0.6 间接依赖 npm
jest-message-util 27.3.1 间接依赖 npm
@babel/parser 7.16.4 间接依赖 npm
eslint-config-prettier 8.3.0 直接依赖 npm
@babel/runtime 7.16.3 间接依赖 npm
@octokit/rest 18.12.0 直接依赖 npm
jest-runner 27.3.1 间接依赖 npm
type-fest 0.20.2 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
caller-path 2.0.0 间接依赖 npm
cliui 7.0.4 间接依赖 npm
source-map 0.6.1 直接依赖 npm
source-map 0.5.7 间接依赖 npm
picomatch 2.0.7 间接依赖 npm
@babel/plugin-transform-member-expression-literals 7.16.0 间接依赖 npm
find-up 4.1.0 间接依赖 npm
@types/stack-utils 2.0.1 间接依赖 npm
@babel/plugin-syntax-import-meta 7.10.4 间接依赖 npm
has-symbols 1.0.0 间接依赖 npm
@jest/test-result 27.3.1 间接依赖 npm
@babel/parser 7.8.4 间接依赖 npm
human-signals 2.1.0 间接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
@babel/helper-simple-access 7.16.0 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
figures 3.2.0 间接依赖 npm
form-data 3.0.1 间接依赖 npm
run-async 2.4.1 间接依赖 npm
convert-source-map 1.6.0 间接依赖 npm
string-width 4.2.3 间接依赖 npm
@babel/generator 7.8.4 间接依赖 npm
@jest/core 27.3.1 间接依赖 npm
chalk 1.1.3 间接依赖 npm
lodash.debounce 4.0.8 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
semver 7.0.0 间接依赖 npm
@babel/plugin-syntax-dynamic-import 7.8.3 间接依赖 npm
@babel/plugin-transform-modules-commonjs 7.16.0 间接依赖 npm
@babel/plugin-transform-computed-properties 7.16.0 间接依赖 npm
before-after-hook 2.2.2 间接依赖 npm
@babel/helper-string-parser 7.22.5 间接依赖 npm
@humanwhocodes/object-schema 1.2.1 间接依赖 npm
is-path-in-cwd 2.1.0 间接依赖 npm
jest-mock 27.3.0 间接依赖 npm
@octokit/plugin-paginate-rest 2.17.0 间接依赖 npm
has 1.0.3 间接依赖 npm
typedarray-to-buffer 3.1.5 间接依赖 npm
jest-docblock 27.0.6 间接依赖 npm
@types/yargs 16.0.4 间接依赖 npm
path-type 4.0.0 间接依赖 npm
@babel/plugin-transform-spread 7.16.0 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
@babel/plugin-transform-async-to-generator 7.16.0 间接依赖 npm
camelcase 5.3.1 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
cliui 6.0.0 间接依赖 npm
@babel/plugin-proposal-class-properties 7.16.0 间接依赖 npm
semver 5.7.1 间接依赖 npm
chokidar 3.5.2 直接依赖 npm
@babel/plugin-transform-new-target 7.16.0 间接依赖 npm
eslint-visitor-keys 3.1.0 间接依赖 npm
@babel/types 7.23.0 间接依赖 npm
supports-color 7.1.0 间接依赖 npm
commander 2.20.0 间接依赖 npm
kefir 3.8.8 间接依赖 npm
interpret 1.4.0 间接依赖 npm
@babel/plugin-syntax-logical-assignment-operators 7.10.4 间接依赖 npm
spdx-license-ids 3.0.5 间接依赖 npm
@types/yargs-parser 15.0.0 间接依赖 npm
optionator 0.8.3 间接依赖 npm
@babel/highlight 7.22.20 间接依赖 npm
@babel/helper-split-export-declaration 7.22.6 间接依赖 npm
@babel/plugin-syntax-typescript 7.16.0 间接依赖 npm
@jest/console 27.3.1 间接依赖 npm
onetime 5.1.2 间接依赖 npm
table 5.4.6 间接依赖 npm
@jest/transform 27.3.1 间接依赖 npm
jest-jasmine2 27.3.1 间接依赖 npm
yargs-parser 16.1.0 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
@babel/plugin-transform-block-scoping 7.16.0 间接依赖 npm
eslint-plugin-fb-flow 0.0.1 直接依赖 npm
node-releases 2.0.1 间接依赖 npm
@babel/helper-skip-transparent-expression-wrappers 7.16.0 间接依赖 npm
inquirer 7.3.3 间接依赖 npm
micromatch 4.0.4 间接依赖 npm
@nicolo-ribaudo/chokidar-2 2.1.8-no-fsevents.3 直接依赖 npm
isexe 2.0.0 间接依赖 npm
micromatch 4.0.2 间接依赖 npm
opencollective-postinstall 2.0.2 间接依赖 npm
@babel/helper-plugin-utils 7.14.5 间接依赖 npm
p-cancelable 2.0.0 间接依赖 npm
@types/istanbul-lib-report 3.0.0 间接依赖 npm
@babel/plugin-transform-classes 7.16.0 间接依赖 npm
acorn 8.6.0 间接依赖 npm
universal-user-agent 6.0.0 间接依赖 npm
flow-bin 0.165.1 直接依赖 npm
make-dir 3.0.2 间接依赖 npm
semver 7.5.4 直接依赖 npm
@babel/plugin-transform-modules-systemjs 7.16.0 间接依赖 npm
keyv 4.0.0 间接依赖 npm
@babel/plugin-bugfix-v8-spread-parameters-in-optional-chaining 7.16.0 间接依赖 npm
figures 2.0.0 间接依赖 npm
argparse 2.0.1 间接依赖 npm
charenc 0.0.2 间接依赖 npm
babel-eslint 10.1.0 直接依赖 npm
@babel/plugin-proposal-dynamic-import 7.16.0 间接依赖 npm
rechoir 0.6.2 间接依赖 npm
@jest/globals 27.3.1 间接依赖 npm
minimatch 3.1.2 间接依赖 npm
@jest/reporters 27.3.1 间接依赖 npm
is-fullwidth-code-point 2.0.0 间接依赖 npm
co 4.6.0 间接依赖 npm
electron-to-chromium 1.4.3 间接依赖 npm
sisteransi 1.0.4 间接依赖 npm
jest-cli 27.3.1 间接依赖 npm
jest-circus 27.3.1 间接依赖 npm
parse-json 5.0.0 间接依赖 npm
is-directory 0.3.1 间接依赖 npm
@babel/plugin-syntax-class-properties 7.12.13 间接依赖 npm
@babel/traverse 7.23.2 间接依赖 npm
babel-preset-current-node-syntax 1.0.1 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
lowercase-keys 2.0.0 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
jest-haste-map 27.3.1 间接依赖 npm
eslint-visitor-keys 2.1.0 间接依赖 npm
stack-utils 2.0.5 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
is-path-cwd 2.2.0 间接依赖 npm
yargs 15.1.0 直接依赖 npm
shelljs 0.8.5 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
buffer-from 1.1.1 间接依赖 npm
@babel/types 7.16.0 间接依赖 npm
word-wrap 1.2.4 间接依赖 npm
deepmerge 4.2.2 间接依赖 npm
babel-plugin-jest-hoist 27.2.0 间接依赖 npm
typescript 3.7.5 间接依赖 npm
@babel/plugin-syntax-nullish-coalescing-operator 7.8.3 间接依赖 npm
@babel/plugin-syntax-top-level-await 7.14.5 间接依赖 npm
@babel/generator 7.16.0 间接依赖 npm
is-fullwidth-code-point 1.0.0 间接依赖 npm
elegant-spinner 1.0.1 间接依赖 npm
@babel/plugin-transform-dotall-regex 7.16.0 间接依赖 npm
@babel/plugin-proposal-private-property-in-object 7.16.0 间接依赖 npm
@babel/helper-create-class-features-plugin 7.16.0 间接依赖 npm
mkdirp 0.5.5 间接依赖 npm
@babel/plugin-transform-object-super 7.16.0 间接依赖 npm
end-of-stream 1.4.4 间接依赖 npm
slash 2.0.0 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
@babel/plugin-transform-unicode-escapes 7.16.0 间接依赖 npm
callsites 2.0.0 间接依赖 npm
levn 0.3.0 间接依赖 npm
parse5 6.0.1 间接依赖 npm
shebang-regex 1.0.0 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
graceful-fs 4.2.8 间接依赖 npm
@babel/plugin-transform-modules-amd 7.16.0 间接依赖 npm
quick-lru 5.1.1 间接依赖 npm
is-generator-fn 2.1.0 间接依赖 npm
json-schema-traverse 1.0.0 间接依赖 npm
@babel/plugin-proposal-unicode-property-regex 7.16.0 间接依赖 npm
symbol-observable 1.2.0 间接依赖 npm
@babel/helpers 7.8.4 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
@babel/plugin-syntax-optional-catch-binding 7.8.3 间接依赖 npm
@babel/compat-data 7.16.4 间接依赖 npm
listr-silent-renderer 1.1.1 间接依赖 npm
pify 4.0.1 间接依赖 npm
@octokit/endpoint 6.0.12 间接依赖 npm
@octokit/plugin-rest-endpoint-methods 5.13.0 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
@babel/helper-function-name 7.23.0 间接依赖 npm
@nodelib/fs.scandir 2.1.1 间接依赖 npm
whatwg-url 8.7.0 间接依赖 npm
@types/normalize-package-data 2.4.0 间接依赖 npm
ansi-escapes 4.3.2 间接依赖 npm
babel-plugin-polyfill-regenerator 0.3.0 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
node-int64 0.4.0 间接依赖 npm
@babel/preset-env 7.16.4 直接依赖 npm
istanbul-reports 3.0.5 间接依赖 npm
jsonfile 4.0.0 间接依赖 npm
run-node 1.0.0 间接依赖 npm
@babel/plugin-proposal-async-generator-functions 7.16.4 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
@types/babel__generator 7.6.1 间接依赖 npm
string-width 4.2.0 间接依赖 npm
@babel/template 7.16.0 间接依赖 npm
once 1.4.0 间接依赖 npm
unicode-match-property-value-ecmascript 2.0.0 间接依赖 npm
lint-staged 9.2.1 直接依赖 npm
@jridgewell/gen-mapping 0.3.3 间接依赖 npm
jest-each 27.3.1 间接依赖 npm
@babel/template 7.22.15 间接依赖 npm
regjsgen 0.5.2 间接依赖 npm
cli-truncate 0.2.1 间接依赖 npm
import-local 3.0.2 间接依赖 npm
pump 3.0.0 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
make-dir 2.1.0 间接依赖 npm
@octokit/types 6.34.0 间接依赖 npm
bser 2.0.0 间接依赖 npm
jest-pnp-resolver 1.2.2 间接依赖 npm
astral-regex 2.0.0 间接依赖 npm
table 6.7.3 直接依赖 npm
acorn 7.4.1 间接依赖 npm
@types/istanbul-reports 3.0.1 间接依赖 npm
deprecation 2.3.1 间接依赖 npm
regjsparser 0.7.0 间接依赖 npm
npm-run-path 3.1.0 间接依赖 npm
minimist 1.2.6 间接依赖 npm
lodash.merge 4.6.2 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
@types/babel__traverse 7.14.2 间接依赖 npm
enquirer 2.3.6 间接依赖 npm
char-regex 1.0.2 间接依赖 npm
saxes 5.0.1 间接依赖 npm
@babel/code-frame 7.16.0 间接依赖 npm
is-core-module 2.8.0 间接依赖 npm
leven 3.1.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
pretty-format 27.3.1 间接依赖 npm
escape-string-regexp 4.0.0 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
yargs 16.2.0 间接依赖 npm
eslint-visitor-keys 1.1.0 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
@babel/helper-split-export-declaration 7.16.0 间接依赖 npm
@octokit/auth-token 2.5.0 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
jest-environment-jsdom 27.3.1 间接依赖 npm
@babel/plugin-transform-block-scoped-functions 7.16.0 间接依赖 npm
@babel/plugin-transform-template-literals 7.16.0 间接依赖 npm
path-key 3.1.0 间接依赖 npm
http2-wrapper 1.0.3 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
resolve 1.21.0 间接依赖 npm
is-buffer 1.1.6 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
wrap-ansi 3.0.1 间接依赖 npm
@nodelib/fs.walk 1.2.2 间接依赖 npm
npm-run-path 2.0.2 间接依赖 npm
is-obj 1.0.1 间接依赖 npm
cacheable-lookup 5.0.4 间接依赖 npm
@babel/highlight 7.16.0 间接依赖 npm
escalade 3.1.1 间接依赖 npm
strip-ansi 5.2.0 间接依赖 npm
tough-cookie 4.1.3 间接依赖 npm
@types/istanbul-lib-coverage 2.0.1 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 间接依赖 npm
jest-get-type 27.3.1 间接依赖 npm
listr-update-renderer 0.5.0 间接依赖 npm
any-observable 0.3.0 间接依赖 npm
p-map 2.1.0 间接依赖 npm
supports-color 8.1.1 间接依赖 npm
dedent 0.7.0 间接依赖 npm
readdirp 3.6.0 间接依赖 npm
ignore 4.0.6 间接依赖 npm
@babel/plugin-proposal-export-namespace-from 7.16.0 间接依赖 npm
which 2.0.2 直接依赖 npm
node-fetch 2.6.7 间接依赖 npm
@sindresorhus/is 4.6.0 间接依赖 npm
string-width 3.1.0 间接依赖 npm
cssstyle 2.3.0 间接依赖 npm
regenerator-transform 0.14.5 间接依赖 npm
whatwg-encoding 1.0.5 间接依赖 npm
@babel/helper-hoist-variables 7.16.0 间接依赖 npm
estraverse 4.2.0 间接依赖 npm
acorn-jsx 5.3.2 间接依赖 npm
@jridgewell/resolve-uri 3.1.1 间接依赖 npm
typescript-compiler 1.4.1-2 间接依赖 npm
kleur 3.0.3 间接依赖 npm
ajv 6.12.6 间接依赖 npm
sort-order 1.0.1 间接依赖 npm
normalize-url 6.1.0 间接依赖 npm
mimic-response 1.0.1 间接依赖 npm
camelcase 6.2.1 间接依赖 npm
ignore 5.1.2 间接依赖 npm
node-modules-regexp 1.0.0 间接依赖 npm
p-limit 2.2.2 间接依赖 npm
@babel/plugin-transform-react-jsx 7.16.0 直接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
anymatch 3.1.1 间接依赖 npm
(0)
上一篇 2023年11月19日
下一篇 2023年11月19日

相关推荐

  • 710leo/urlooker 软件分析报告

    基础信息 项目名称:710leo/urlooker 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720485511745146880/1720485512244269056 此报告由Murphysec提供 漏洞…

    软件分析 2023年11月4日
    0
  • carojkov/jdbcpersistence 软件分析报告

    基础信息 项目名称:carojkov/jdbcpersistence 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716577490498797568/1716577490742067200 此报告由Murph…

    软件分析 2023年10月24日
    0
  • Zhaoss/WeiXinRecordedDemo 软件分析报告

    基础信息 项目名称:Zhaoss/WeiXinRecordedDemo 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721711850072612864/1721711850563346432 此报告由Murp…

    软件分析 2023年11月7日
    0
  • akveo/nebular 软件分析报告

    基础信息 项目名称:akveo/nebular 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1744135085016788992/1744135085054537728 此报告由Murphysec提供 漏洞列表…

    软件分析 2024年1月8日
    0
  • xuanyanwow/LogkitByGo 软件分析报告

    基础信息 项目名称:xuanyanwow/LogkitByGo 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721583281774354432/1721583281816297472 此报告由Murphyse…

    软件分析 2023年11月7日
    0